Subject: [rohc] SigComp User Guide: LZSS, LZW

From: Zoltan Barczikay <[email-masked]>
Date: Fri, 12 Jul 2002 15:44:01 +0200 (MEST)

"So long and thanks for all the fish!"

I am not leaving this list (not leaving planet Earth either),
this is just the uncompressed text for the second example in 
draft-price-rohc-sigcomp-user-guide-00, for the LZW algorithm.

Still, it seems that the last two bytes are unnecessary: 
if I discard 0xbf f0 from the end, I still get the same output...
Can you explain this?

There is no sample compressed message for the LZSS algorithm,
but I think I found a fault in the mnemonic code of the draft:
if we get a non-literal code, by reading 13 bits from the message,
the first bit (in position 2^12) will be 1. This has to be cleared:

   INPUT-HUFFMAN (index, end_of_message, 2, 9, 0, 255, 16384, 4, 0, 
   8191, 1) 
   COMPARE ($index, 8192, length, end_of_message, literal) 
   ...
** AND	( $index, 0x0fff )
   COPY-OFFSET ($index, $length_value, $decompressed_pointer) 
   OUTPUT ($old_pointer, $length_value) 
   ...
   
I added the line marked by **. Without this correction, the code
does not work (leads to decompression failure).

Best regards, 
Zoltan Barczikay (ERICSSON).

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc